lp:ubuntu/natty/gnupg

Created by James Westby on 2010-10-13 and last modified on 2011-02-22
Get this branch:
bzr branch lp:ubuntu/natty/gnupg
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

35. By Rico Tzschichholz on 2011-02-22

* Resynchronise with Debian (LP: #720905). Remaining changes:
  - Disable mlock() test since it fails with ulimit 0 (on buildds).
  - Set gpg (or gpg2) and gpgsm to use a passphrase agent by default.
  - Fix udeb build failure on powerpc, building with -O2 instead of -Os.
  - Only suggest gnupg-curl and libldap; recommendations are pulled into
    minimal, and we don't need the keyserver utilities in a minimal Ubuntu
    system.
* debian/{control,rules}: Remove the Win32 build (and mingw32
  build-dependency), since mingw32 is in universe, and will remain so for
  the forseeable future.

34. By Martin Pitt on 2010-12-03

No-change rebuild to drop upstream changelog.

33. By Colin Watson on 2010-10-13

releasing version 1.4.10-4ubuntu1

32. By Colin Watson on 2010-10-13

merge from Debian 1.4.10-4

31. By Colin Watson on 2010-06-14

releasing version 1.4.10-2ubuntu2

30. By Colin Watson on 2010-06-14

Only suggest gnupg-curl and libldap; recommendations are pulled into
minimal, and we don't need the keyserver utilities in a minimal Ubuntu
system.

29. By Michael Bienia on 2010-01-04

* Merge from Debian testing (lp: #503064, #477818). Remaining changes:
  - Add 'debian/patches/50_disable_mlock_test.dpatch': Disable mlock() test
    since it fails with ulimit 0 (on buildds).
  - Add 'debian/patches/61_use_agent_default.dpatch': Patch to set gpg
    (or gpg2) and gpgsm to use a passphrase agent by default (lp: 15485)
  - Fix udeb build failure on powerpc, building with -O2 instead of -Os.

28. By Matthias Klose on 2009-09-27

Fix udeb build failure on powerpc, building with -O2 instead of -Os.

27. By Matthias Klose on 2009-09-19

Build-depend on libreadline-dev instead of libreadline5-dev.

26. By Michael Bienia on 2009-07-03

* debian/gnupg.udev:
  Add udev rules to set ACLs on SCM smartcard readers. They replace the hal
  rules for the same purpose. (LP: #57755)
* debian/rules:
  Call dh_installudev.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/oneiric/gnupg
This branch contains Public information 
Everyone can see this information.

Subscribers